Summary: Catalan files for aspell
Name: aspell-ca
Version: 0.1
Release: 7
Group: Applications/Text
Source: aspell-ca-0.1.tar.bz2
Copyright: GPL
Requires: aspell
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: aspell
Obsoletes: ispell-cat, ispell-catalan
ExcludeArch: ia64

%description
A Catalan dictionary for use with aspell, a spelling checker.

%prep
%setup -q

%build
cp /usr/share/aspell/iso8859-1.dat .

LC_CTYPE=ca_ES aspell --lang=catalan --data-dir=. \
    create master ./catalan < words.catalan

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/aspell
mkdir -p $RPM_BUILD_ROOT/usr/share/aspell
mkdir -p $RPM_BUILD_ROOT/usr/share/pspell

install -m 0644 catalan $RPM_BUILD_ROOT/usr/lib/aspell
install -m 0644 catalan.dat $RPM_BUILD_ROOT/usr/share/aspell

echo "/usr/lib/aspell/catalan" > $RPM_BUILD_ROOT/usr/share/pspell/ca-aspell.pwli

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LLEGEIX 
/usr/share/aspell/*
/usr/lib/aspell/*
/usr/share/pspell/*

%changelog
* Thu Feb 01 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't obsolete itself

* Sun Aug 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Aug 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use "ca", the ISO 639 name
- use the proper name on the pwli file

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM
